Get the details for a bot

Path Parameters
  • object_id
    Type: string
    required

    Bot ID

Headers
  • Authorization
    Type: string
    required

    API key for authentication

  • Content-Type
    Type: string
    required

    Should always be application/json

Responses
  • application/json
  • 404

    Bot not found

Request Example for get/api/v1/bots/{object_id}
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "id": "bot_weIAju4OXNZkDTpZ",
  "meeting_url": "https://zoom.us/j/123?pwd=456",
  "state": "joining",
  "events": [
    {
      "type": "join_requested",
      "created_at": "2024-01-18T12:34:56Z"
    }
  ],
  "transcription_state": "not_started",
  "recording_state": "not_started"
}